#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    uint64_t uint64_eq_const_0_0;
    uint64_t uint64_eq_const_1_0;
    uint8_t uint8_eq_const_2_0;
    uint64_t uint64_eq_const_3_0;
    uint32_t uint32_eq_const_4_0;
    uint64_t uint64_eq_const_5_0;

    if (size < 37)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&uint64_eq_const_0_0, &data[i], 8);
    i += 8;
    memcpy(&uint64_eq_const_1_0, &data[i], 8);
    i += 8;
    memcpy(&uint8_eq_const_2_0, &data[i], 1);
    i += 1;
    memcpy(&uint64_eq_const_3_0, &data[i], 8);
    i += 8;
    memcpy(&uint32_eq_const_4_0, &data[i], 4);
    i += 4;
    memcpy(&uint64_eq_const_5_0, &data[i], 8);
    i += 8;


    if (uint64_eq_const_0_0 == 12695899128556347687u)
    if (uint64_eq_const_1_0 == 10263440039416929963u)
    if (uint8_eq_const_2_0 == 29)
    if (uint64_eq_const_3_0 == 10856068197937807522u)
    if (uint32_eq_const_4_0 == 3844606840)
    if (uint64_eq_const_5_0 == 11556427046867083686u)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
